Summary: Mouse and keyboard sharing utility
Name: synergy-plus
Version: 1.3.4
Release: 9%{?dist}
License: GPLv2
Group: System Environment/Daemons
URL: http://code.google.com/p/synergy-plus/
Source: http://synergy-plus.googlecode.com/files/synergy-plus-%{version}.tar.gz
Patch0: synergy-plus-1.3.4-xinitthreads.patch
Patch1: synergy-plus-1.3.4-unusedvar.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# Useful for frontends such as quicksynergy (#524910)
Provides: synergy = %{version}-%{release}
# Last built version of the old synergy was 1.3.1-14.fc12
Obsoletes: synergy < 1.3.1-15
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXtst-devel
BuildRequires: libXt-devel
BuildRequires: libXinerama-devel

%description
Synergy+ (synergy-plus) lets you easily share a single mouse and keyboard
between multiple computers with different operating systems, without special
hardware. All you need is a LAN connection. It's intended for users with
multiple computers, where each system uses its own display. It's a little
like having a 2nd or a 3rd desktop.
Synergy+ is a maintenance fork for implementing bug fixes to the original
Synergy, which hasn't received any source updates or new releases since 2006.


%prep
%setup -q
%if 0%{?rhel} >= 4 && 0%{?rhel} < 6
%patch0 -p1
%endif
%patch1 -p1 -b .unusedvar
# Remove spurious executable bit from sources files
find . -type f -name '*.cpp' -exec chmod -x {} \;


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
# None of the documentation files are actually useful here, they all point to
# the online website, so include just one, the README
%doc COPYING README examples/synergy.conf
%{_bindir}/synergyc
%{_bindir}/synergys


%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-9
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 08 2011 Karsten Hopp <karsten@redhat.com> 1.3.4-7
- make it build with latest gcc (unused vars)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul  8 2010 Matthias Saou <http://freshrpms.net/> 1.3.4-6
- Don't apply the RHEL patch on RHEL6, only 4 and 5.

* Mon Dec  7 2009 Matthias Saou <http://freshrpms.net/> 1.3.4-5
- Obsolete synergy (last upstream released version is from 2006) since synergy+
  is a drop-in replacement (#538179).

* Tue Nov 24 2009 Matthias Saou <http://freshrpms.net/> 1.3.4-4
- Disable XInitThreads() on RHEL to fix hang (upstream #194).

* Tue Aug 18 2009 Matthias Saou <http://freshrpms.net/> 1.3.4-3
- Don't use the -executable find option, it doesn't work with older versions.

* Tue Aug 18 2009 Matthias Saou <http://freshrpms.net/> 1.3.4-2
- Initial RPM release, based on the spec from the original synergy.
- Remove spurious executable bit from sources files.

